Bug 133149 - entering non-ASCII character part of auto-completed word completes the word without the non-ASCII character
entering non-ASCII character part of auto-completed word completes the word w...
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dan Williams
Depends On:
  Show dependency treegraph
Reported: 2004-09-21 18:03 EDT by Alexandre Oliva
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-11 12:55:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2004-09-21 18:03:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)

Description of problem:
If writer offers to complete a word that contains a non-ASCII
character and you keep typing it, when you enter the non-ASCII
character, it will complete the word all the way to the end, without
the non-ASCII character.  This makes it extremely difficult to use for
languages that use non-ASCII characters.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Start a new text
2.Disable auto spell check (otherwise you won't get offers to
auto-complete words, and the bug won't occur)
3.Enter the following words: camélia caída órgão dominó (if you have
no clue on how to enter the accents, choose Preferences->Keyboard,
Layouts, U.S. English w/ deadkeys, then type 'e for é)
4.In a separate line, attempt to enter the same words.  It will
attempt to auto-complete them, but disregard that and just keep typing

Actual Results:  The first line will be correct.
The second line will read: camlialia cadada órgoo dominó

Expected Results:  The second line should read the same as the first

Additional info:

Note that, when you enter a non-ASCII character during
auto-completion, it will remove the non-ASCII character and add the
rest of the word, such that, when you keep typing the word, whatever
follows the first non-ASCII character will be duplicated.  The problem
does not affect non-ASCII characters that are typed before
auto-completion figures out the word you're tying, nor does it affect
non-ASCII characters at the end of a word.

LANG=en_US.UTF-8, in case it matters.

Note You need to log in before you can comment on or make changes to this bug.